<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">
        
        <h:form 
            id="addTabuladorForm" 
            class="addTabuladorForm">
            
            <h:outputText 
                value="Nómina -> Configuración -> Tabuladores -> Nuevo tabulador" 
                style="font-weight: bold;font-size: medium"/>            

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            
            <h:outputText value="Nuevo tabulador" />
            
            <br/><br/>     

            <h:panelGrid 
                columns="2" 
                styleClass="panelNoBorder"
                cellpadding="5"
                columnClasses="centered5,centered6">
                
                <p:row>
                    <h:outputLabel 
                        for="ejercicio" 
                        value="#{translatedMessage['restricted.nomina.tabulador.ejercicio']}: *" 
                        style="font-weight: bold"/>
                </p:row>                

                <p:row>
                    <p:selectOneMenu 
                        id="ejercicio" 
                        value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.ejercicio}"
                        filter="true" 
                        filterMatchMode="contains" 
                        caseSensitive="false"
                        converter="entityConverter"
                        style="width:150px">
                        
                        <f:selectItem 
                            itemLabel="Selecciona una opción..."/>
                        
                        <f:selectItems 
                            value="#{rhNomnTabuladoresMB.listadoEjercicios}"
                            var="ejercicioEleccion"
                            itemLabel="#{ejercicioEleccion.valor}"
                            itemValue="#{ejercicioEleccion}"/>
                        
                        <p:ajax 
                            event="change" 
                            update="vigenciaDeInicio"  
                            listener="#{rhNomnTabuladoresMB.selFechaPorPeriodo}" />
                    </p:selectOneMenu>                    
                </p:row>

                <p:row>
                    <p:outputLabel 
                        for="grupoJerarquico" 
                        value="#{translatedMessage['restricted.nomina.tabulador.grupoJerarquico']}: *" 
                        style="font-weight: bold"/>
                </p:row>

                <p:row>
                    <p:selectOneMenu 
                        id="grupoJerarquico" 
                        value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.grupoJerarquico}"
                        filter="true" 
                        filterMatchMode="contains" 
                        caseSensitive="false"
                        converter="entityConverter"
                        style="width:150px">                                     
                        
                        <f:selectItem 
                            itemLabel="Selecciona una opción..." />
                        
                        <f:selectItems 
                            value="#{rhNomnTabuladoresMB.listadoGruposJerarquicos}"
                            var="gruposJerarquicos"
                            itemLabel="#{gruposJerarquicos.strClaveJerarquica}"
                            itemValue="#{gruposJerarquicos}"/>
                    </p:selectOneMenu>                     
                </p:row>

                <p:row>
                    <h:outputLabel 
                        for="grado" 
                        value="#{translatedMessage['restricted.nomina.tabulador.gradoJerarquico']}: *" 
                        style="font-weight: bold"/>
                </p:row>

                <p:row>
                    <p:selectOneMenu 
                        id="grado" 
                        value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.gradoJerarquico}"
                        filter="true" 
                        filterMatchMode="contains" 
                        caseSensitive="false"
                        converter="entityConverter"
                        style="width:150px">
                        
                        <f:selectItem 
                            itemLabel="Selecciona una opción..." />
                        
                        <f:selectItems 
                            value="#{rhNomnTabuladoresMB.listadoGradosTabuladores}"
                            var="gradosJerarquicos"
                            itemLabel="#{gradosJerarquicos.intGrado}"
                            itemValue="#{gradosJerarquicos}"/>
                    </p:selectOneMenu>                     
                </p:row>               

                <p:row>
                    <h:outputLabel 
                        for="nivel" 
                        value="#{translatedMessage['restricted.nomina.tabulador.nivel']}: *" 
                        style="font-weight: bold"/>
                </p:row>

                <p:row>
                    <p:selectOneMenu 
                        id="nivel" 
                        value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.nivelTabular}"
                        filter="true" 
                        filterMatchMode="contains" 
                        caseSensitive="false"
                        converter="entityConverter"
                        style="width:150px">
                        
                        <f:selectItem 
                            itemLabel="Selecciona una opción..." />
                        
                        <f:selectItems 
                            value="#{rhNomnTabuladoresMB.listadoNivelesTabuladores}"
                            var="nivelesTabuladores"
                            itemLabel="#{nivelesTabuladores.strNivel}"
                            itemValue="#{nivelesTabuladores}"/>
                    </p:selectOneMenu>                     
                </p:row> 

                <p:row>
                    <h:outputLabel 
                        for="sueldoBase" 
                        value="#{translatedMessage['restricted.nomina.tabulador.sueldoBase']}: *" 
                        style="font-weight: bold"/>
                </p:row>

                <p:row>                    
                    <p:inputNumber 
                        id="sueldoBase" 
                        value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.dbSueldoBase}"
                        style="text-align:right;"                                 
                        size="28"
                        symbol="$"
                        emptyValue="empty" 
                        minValue="0.01"                         
                        maxValue="10000000.00" >
                        
                        <p:ajax 
                            event="blur" 
                            update="sueldoBruto" 
                            listener="#{rhNomnTabuladoresMB.calculaSueldoBruto}" />
                    </p:inputNumber>                                 
                </p:row>

                <p:row>
                    <h:outputLabel 
                        for="compensacionGarantizada" 
                        value="#{translatedMessage['restricted.nomina.tabulador.compensacionGarantizada']}: *" 
                        style="font-weight: bold"/>
                </p:row>

                <p:row>                                       
                    <p:inputNumber 
                        id="compensacionGarantizada" 
                        value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.dbCompensacionGarantizada}"
                        style="text-align:right;"                                 
                        symbol="$"
                        size="28"
                        symbolPosition=""
                        minValue="0.00" 
                        maxValue="10000000.00" >
                        
                        <p:ajax 
                            event="blur" 
                            update="sueldoBruto" 
                            listener="#{rhNomnTabuladoresMB.calculaSueldoBruto}" />
                    </p:inputNumber>                 
                </p:row>

                <p:row>
                    <h:outputLabel 
                        for="sueldoBruto" 
                        value="#{translatedMessage['restricted.nomina.tabulador.sueldoBruto']}: " 
                        style="font-weight: bold"/>
                </p:row>

                <p:row>
                    <p:inputNumber 
                        id="sueldoBruto" 
                        value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.dbSueldoBruto}"
                        style="text-align:right;"                                 
                        symbol="$"
                        size="28"
                        symbolPosition=""                       
                        minValue="0.00" 
                        maxValue="10000000.00"
                        readonly="true">
                    </p:inputNumber>  
                </p:row>

                <p:row>
                    <h:outputLabel 
                        for="vigenciaDeInicio" 
                        value="#{translatedMessage['restricted.nomina.tabulador.vigenciaDeInicio']}: *" 
                        style="font-weight: bold"/>
                </p:row>

                <p:row>
                    <p:calendar 
                        value="#{rhNomnTabuladoresMB.rhNomnTabuladoresSelected.dtVigenciaDeInicio}"
                        id="vigenciaDeInicio" 
                        showOn="button"                                        
                        pattern="dd/MM/yyyy"
                        locale= "es"
                        style="width: 100px"
                        maxlength="10"
                        mode="popup"
                        size="23"
                        navigator="true"
                        readonlyInput="true"
                        mindate="#{rhNomnTabuladoresMB.fechaMinimaSelected}" 
                        maxdate="#{rhNomnTabuladoresMB.fechaMaximaSelected}"                                         
                        converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy"/>                    
                </p:row>                           
            </h:panelGrid>

            <br/>

            <div 
                align="left" 
                style="padding-left: 230px">
                
                <p:commandButton
                    value="Guardar"
                    update=":addTabuladorForm"
                    style="font-size: 80%"
                    process="@(.addTabuladorForm)"
                    oncomplete="redirect(xhr, status, args, 'TabuladoresList.jsf');"
                    actionListener="#{rhNomnTabuladoresMB.gurardarTabulador}" >
                    
                    <p:confirm 
                        header="Confirmar" 
                        message="¿Seguro que desea guardar tabulador?" />
                </p:commandButton>
                
                <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                
                <p:commandButton
                    value="Cerrar"
                    type="button"
                    style="font-size: 80%"
                    onclick="location = 'TabuladoresList.jsf';">
                </p:commandButton>                             
            </div>
        </h:form>

        <h:form>
            <p:confirmDialog 
                appendTo="@(body)" 
                global="true" 
                style="width: 450px;" 
                closable="true" 
                showEffect="fade" 
                hideEffect="fade">
                
                <p:commandButton 
                    value="Si" 
                    type="button" 
                    styleClass="ui-confirmdialog-yes" />
                
                <p:commandButton 
                    value="No" 
                    type="button" 
                    styleClass="ui-confirmdialog-no" />
            </p:confirmDialog>
        </h:form>
    </ui:define>           
</ui:composition>
